//
//  SymbolsViewController.m
//  Symbols
//
//  Created by Sameh Fakhouri on 10/6/14.
//  Copyright (c) 2014 Lehman College. All rights reserved.
//

#import "SymbolsViewController.h"

@interface SymbolsViewController ()
@property (weak, nonatomic) IBOutlet UIButton *solidRedButton;
@property (weak, nonatomic) IBOutlet UIButton *shadedRedButton;
@property (weak, nonatomic) IBOutlet UIButton *outlinedRedButton;
@property (weak, nonatomic) IBOutlet UIButton *solidGreenButton;
@property (weak, nonatomic) IBOutlet UIButton *shadedGreenButton;
@property (weak, nonatomic) IBOutlet UIButton *outlinedGreenButton;
@property (weak, nonatomic) IBOutlet UIButton *solidBlueButton;
@property (weak, nonatomic) IBOutlet UIButton *shadedBlueButton;
@property (weak, nonatomic) IBOutlet UIButton *outlinedBlueButton;
@end

@implementation SymbolsViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // red solid button, one symbol - top row left button
    NSMutableAttributedString *title = [[NSMutableAttributedString alloc] initWithString:@"●"];
    
    UIColor *foregroundColor = [UIColor redColor];
    UIColor *strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:1];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.solidRedButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // red shaded button, two symbols - top row middle button
    title = [[NSMutableAttributedString alloc] initWithString:@"●●"];
    
    foregroundColor = [UIColor redColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:0.2];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.shadedRedButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // red outlined button, three symbols - top row right button
    title = [[NSMutableAttributedString alloc] initWithString:@"●●●"];
    
    foregroundColor = [UIColor redColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:0];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.outlinedRedButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // green solid button, two symbols - middle row left button
    title = [[NSMutableAttributedString alloc] initWithString:@"◼︎◼︎"];
    
    foregroundColor = [UIColor greenColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:1];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.solidGreenButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // green shaded button, three symbols - middle row middle button
    title = [[NSMutableAttributedString alloc] initWithString:@"◼︎◼︎◼︎"];
    
    foregroundColor = [UIColor greenColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:0.2];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.shadedGreenButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // green outlined button, one symbol - middle row right button
    title = [[NSMutableAttributedString alloc] initWithString:@"◼︎"];
    
    foregroundColor = [UIColor greenColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:0];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.outlinedGreenButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // blue solid button, three symbols - bottom row left button
    title = [[NSMutableAttributedString alloc] initWithString:@"▲▲▲"];
    
    foregroundColor = [UIColor blueColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:1];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.solidBlueButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // green shaded button, one symbol - bottom row middle button
    title = [[NSMutableAttributedString alloc] initWithString:@"▲"];
    
    foregroundColor = [UIColor blueColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:0.2];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.shadedBlueButton setAttributedTitle:title forState:UIControlStateNormal];
    
    // green outlined button, two symbols - bottom row right button
    title = [[NSMutableAttributedString alloc] initWithString:@"▲▲"];
    
    foregroundColor = [UIColor blueColor];
    strokeColor = [foregroundColor copy];
    foregroundColor = [foregroundColor colorWithAlphaComponent:0];
    
    [title setAttributes:@{NSForegroundColorAttributeName:foregroundColor,
                           NSStrokeWidthAttributeName:@-5,
                           NSStrokeColorAttributeName:strokeColor}
                   range:NSMakeRange(0, [title length])];
    [self.outlinedBlueButton setAttributedTitle:title forState:UIControlStateNormal];
    
}


@end
